function skleenoe_new=skleyka2(skleenoe,mas_newy,sglazhskleenoe,dt);
%Процедура склеивания двух слоев: Процедура происходит от меньших слоев к
%большим. Каждый следующий слой подтягивает склейку к себе.
% Отличается от 1варианта функции тем, что подтягивание вычисляется для
% значений sglazhskleenoe, но осуществляется над рядом skleenoe
n1=length(mas_newy);
n2=length(skleenoe);
n3=length(sglazhskleenoe);
if (n1<n2)
    n=n1;
else
    n=n2;
end
if (n>n3)
    n=n3;
end
%plot(skleenoe);
%hold on;
%plot(mas_newy);
nsteps=n/dt;
skleenoe_new=[];
for i=1:dt:n-dt
    dy_beg=sglazhskleenoe(i)-mas_newy(i);
    dy_end=sglazhskleenoe(i+dt)-mas_newy(i+dt);
    for j=0:dt
        skleenoe_new(i+j)=skleenoe(i+j)-dy_beg-j*(dy_end-dy_beg)/dt;
    end
end
%skleenoe_new=skleenoe_new(2:length(skleenoe_new)); %Опыты показывают, что
%отбрасывание ухудшает прогноз. Строчка не нужна
1;%figure;
global graphs;
if ~isempty(graphs)
    hhh=gcf;
    figure;
    plot(mas_newy,'k');
    hold on;
    plot(skleenoe);
    plot(sglazhskleenoe,'y');
    plot(skleenoe_new,'r');
    legend('Mas newy','Skleenoe','Sglazhskleenoe','Skleenoe new');
    title(strcat('Skleyka2 dt=',num2str(dt)));
    figure(hhh);
end